use strict;
use warnings FATAL => 'all';
use ExtUtils::MakeMaker;

(do 'maint/Makefile.PL.include' or die $@) unless -f 'META.yml';

WriteMakefile(
  NAME => 'Alien::MoarVM',
  VERSION_FROM => 'lib/Alien/MoarVM.pm',
  PMLIBDIRS => [ 'lib' ],
  META_MERGE => {
    no_index => { directory => [ 'MoarVM' ] }
  },
);

sub MY::postamble { <<'END' }

ALIENTARGET=$(INSTALLSITEARCH)/Alien/MoarVM/Install

all :: alienblib
	touch blib/arch/auto/Alien/MoarVM/force-arch

MoarVM :
	tar xzf ../rakudo-star-$(VERSION).tar.gz rakudo-star-$(VERSION)/MoarVM --strip-components=1

MoarVM/Makefile :
	cd MoarVM; $(PERL) Configure.pl --prefix=$(ALIENTARGET) --bindir=$(INSTALLSITEBIN)

alieninst : MoarVM/Makefile
	cd MoarVM; make DESTDIR=../alieninst install

alienblib : alieninst
	mkdir -p blib/lib/Alien/MoarVM/
	cp -a alieninst/$(ALIENTARGET) blib/lib/Alien/MoarVM/
	cp -a alieninst/$(INSTALLSITEBIN) blib/
	cp -a alieninst/$(INSTALLSITEBIN) blib/lib/Alien/MoarVM/Install

clean ::
	cd MoarVM; make clean
	rm MoarVM/Makefile
	rm -rf alieninst

END
